Bug 3330 - ICE in g++
: ICE in g++
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gcc3.2-c++)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-11-29 15:01 by
Modified: 2006-03-26 22:14 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-11-29 15:01:04
$ cat >test.cc
template <typename A> A f(A param) { return smth; }
struct smth{};
void g() { f(smth()); }

$ g++ test.cc
test.cc: In function `A f(A) [with A = smth]':
test.cc:5:   instantiated from here
test.cc:1: Internal compiler error in c_expand_expr, at c-common.c:3714
...
------- Comment #1 From 2003-12-30 14:36:19 -------
$ g++-3.3 test.cc
test.cc: In function `A f(A) [with A = smth]':
test.cc:1: internal compiler error: in c_expand_expr, at c-common.c:4370
------- Comment #2 From 2005-01-11 18:34:13 -------
fixed in gcc3.4